Bug 251560 - [Promise 4.7 feat] Update stex driver to version 3.6.0101.2
[Promise 4.7 feat] Update stex driver to version 3.6.0101.2
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.7
All Linux
high Severity high
: ---
: ---
Assigned To: Jeff Garzik
Martin Jenner
: FutureFeature, OtherQA
Depends On:
Blocks: 253483 367631 RHEL4u7_relnotes 422551 430698
  Show dependency treegraph
 
Reported: 2007-08-09 14:50 EDT by Ed lin
Modified: 2013-07-02 22:33 EDT (History)
5 users (show)

See Also:
Fixed In Version: RHSA-2008-0665
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:15:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Promise stex driver update for Red Hat EL 4.7 (30.28 KB, patch)
2007-11-12 14:43 EST, Ed lin
no flags Details | Diff

  None (edit)
Description Ed lin 2007-08-09 14:50:32 EDT
Description of problem:
This is for stex driver update on next rhel4 release. Patch will be posted 
later.

Version-Release number of selected component (if applicable):
RHEL 4.7

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ed lin 2007-11-12 14:43:20 EST
Created attachment 255681 [details]
Promise stex driver update for Red Hat EL 4.7
Comment 2 Ed lin 2007-11-12 14:45:10 EST
This is the Promise stex driver update for Red Hat EL 4.7.
It is based on updtream patches to this driver. It also
includes clean-up(removes compatible code in the driver),
and synchronization with the upstream driver (the upstream
driver has some changes since first upstream version that
were not merged into the Red Hat 4 version of the driver).

The patches (all upstream committed) included in this update
are:

commit f903d7b7a80b7c3103335d506533790a322da87b
    [SCSI] stex: cancel unused field in struct req_msg

commit b4b8bed12345bc03dfcef80cbbe78582429b063c
    [SCSI] stex: fix biosparam calculation

commit 47c4f997c7bd9ab142c65950317232728b921aa0
    [SCSI] stex: add value check in hard reset routine

commit 529e7a62c8016ab7d3ef4ef6d39de23c0569781f
    [SCSI] stex: adjust default queue length

commit ee926b27a01da1c1f0f0017c0e6af6e4fd6c05b5
    [SCSI] stex: update device id info

commit 94e9108b5ad8da9c02ebf5183b861f1717409555
    [SCSI] stex: add new device type support

commit 76fbf96f82636c8cdc40485506c50c880fd45a56
    [SCSI] stex: change wait loop code

commit cd354f1ae75e6466a7e31b727faede57a1f89ca5
    [PATCH] remove many unneeded #includes of sched.h

commit e0b2e597d5dd8c4f3778545f65c29a9c6aba0e3a
    [SCSI] stex: fix id mapping issue

commit 69f4a513911455670d3322fb5252b437c0485707
    [SCSI] stex: extend hard reset wait time

commit d116a7bc6ab4dcf752078daeaf2276f7d7660595
    [SCSI] stex: fix reset recovery for console device

commit c25da0afa753c29cd99fb41dc73a33ed69556965
    [SCSI] stex: minor cleanup and version update

commit 968a5763fb7247feb0e69573a2975a7a0c094267
    [SCSI] stex: use resid for xfer len information
Comment 3 Don Domingo 2008-03-18 21:24:31 EDT
Ed, Andrius, can you point out which of these fixes need to be mentioned
explicitly in the release notes? also, are there any RHEL bugzillas for each
one? (i'd like to read through them for a better understanding of the fix)

thanks!
Comment 4 Andrius Benokraitis 2008-03-18 23:46:11 EDT
I would say if Ed doesn't come back with any high-level bug fix/feature line
items to just state it was updated to the version listed.

Ed?
Comment 5 Ed lin 2008-03-19 14:17:21 EDT
Yes, I agree with Andrius. This is a regular sync with the updtream driver. 
It's not easy to summarize as there are quite a few items. This is because it 
is a bit long from RHEL 4.4 to 4.7, and the driver was not (fully) synced 
since RHEL 4.4. This results in a wrapped-up patch with many items. (Also, I 
believe there are no separate RHEL bugzillas for each of them.)

If a description such as "updated to version x.y.z" seems to be too simple, is 
it possible to add something like "synced with vanilla kernel" ? That may help 
to explain, while avoiding the details which may be unnecessary in this case.
Comment 6 Don Domingo 2008-03-19 19:45:29 EDT
thanks, adding to RHEL4.7 release notes under "Driver Updates => Storage":

<quote>
stex driver updated to version 3.6.0101.2. This update applies several upstream
enhancements and bug fixes.
</quote>

how about a public link that contains details on the changes applied? do you
guys have one? if so, please advise. thanks!
Comment 7 Ed lin 2008-03-19 20:57:40 EDT
You can use git to see each file's (in this case, drivers/scsi/stex.c) 
revision history. It will list all the commits done to the file. Or search the 
internet using the commit number for each commit. I think there is no single 
link for all the commits. Instead, each commit(or a group of commits) has a 
link. For example, the links for these commits:

commit f903d7b7a80b7c3103335d506533790a322da87b
    [SCSI] stex: cancel unused field in struct req_msg

http://www.kernel.org/pub/linux/kernel/v2.6/testing/v2.6.19/ChangeLog-2.6.19-
rc1

commit b4b8bed12345bc03dfcef80cbbe78582429b063c
    [SCSI] stex: fix biosparam calculation

commit 47c4f997c7bd9ab142c65950317232728b921aa0
    [SCSI] stex: add value check in hard reset routine

commit 529e7a62c8016ab7d3ef4ef6d39de23c0569781f
    [SCSI] stex: adjust default queue length

commit ee926b27a01da1c1f0f0017c0e6af6e4fd6c05b5
    [SCSI] stex: update device id info

commit 94e9108b5ad8da9c02ebf5183b861f1717409555
    [SCSI] stex: add new device type support

commit 76fbf96f82636c8cdc40485506c50c880fd45a56
    [SCSI] stex: change wait loop code

http://www.kernel.org/pub/linux/kernel/v2.6/snapshots/old/patch-2.6.19-git8.log

commit cd354f1ae75e6466a7e31b727faede57a1f89ca5
    [PATCH] remove many unneeded #includes of sched.h

www.kernel.org/pub/linux/kernel/people/akpm/patches/2.6/2.6.20/2.6.20-
mm1/broken-out/origin.patch

commit e0b2e597d5dd8c4f3778545f65c29a9c6aba0e3a
    [SCSI] stex: fix id mapping issue

commit 69f4a513911455670d3322fb5252b437c0485707
    [SCSI] stex: extend hard reset wait time

commit d116a7bc6ab4dcf752078daeaf2276f7d7660595
    [SCSI] stex: fix reset recovery for console device

commit c25da0afa753c29cd99fb41dc73a33ed69556965
    [SCSI] stex: minor cleanup and version update

http://www.kernel.org/pub/linux/kernel/people/akpm/patches/2.6/2.6.22-
rc2/2.6.22-rc2-mm1/broken-out/git-scsi-rc-fixes.patch

commit 968a5763fb7247feb0e69573a2975a7a0c094267
    [SCSI] stex: use resid for xfer len information

http://www.mail-archive.com/git-commits-head@vger.kernel.org/msg16748.html
Comment 8 Vivek Goyal 2008-03-25 17:05:08 EDT
Committed in 68.25. Released in 68.26. RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 10 Don Domingo 2008-06-02 19:13:52 EDT
Hi,

the RHEL4.7 release notes deadline is on June 17, 2008 (Tuesday). they will
undergo a final proofread before being dropped to translation, at which point no
further additions or revisions will be entertained.

a mockup of the RHEL4.7 release notes can be viewed here:
http://intranet.corp.redhat.com/ic/intranet/RHEL4u7relnotesmockup.html

please use the aforementioned link to verify if your bugzilla is already in the
release notes (if it needs to be). each item in the release notes contains a
link to its original bug; as such, you can search through the release notes by
bug number.

Cheers,
Don
Comment 11 Chris Ward 2008-06-05 11:49:55 EDT
~~~~~~~~~~~~~~
~ Attention: ~ Feedback requested regarding this **High Priority** bug. 
~~~~~~~~~~~~~~

A fix for this issue should be included in the latest packages contained in
RHEL4.7-Snapshot1--available now on partners.redhat.com.

After you (Red Hat Partner) have verified that this issue has been addressed,
submit a comment describing the passing results of your test in appropriate
detail, along with which snapshot and package version tested. The bugzilla will
be updated by Red Hat Quality Engineering for you when this information has been
received.

If you believe this issue has not properly fixed or you are unable to verify the
issue for any reason, please add a comment describing the most recent issues you
are experiencing, along with which snapshot and package version tested. 

If you believe the bug has not been fixed, change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and bugzilla will be updated for you. 

If you need assistance accessing ftp://partners.redhat.com, please contact your
Partner Manager.

Thank you
Red Hat QE Partner Management
Comment 14 errata-xmlrpc 2008-07-24 15:15:12 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0665.html
Comment 15 Chris Ward 2008-07-29 03:28:50 EDT
Partners, I would like to thank you all for your participation in assuring the
quality of this RHEL 4.7 Update Release. My hat's off to you all. Thanks.

Note You need to log in before you can comment on or make changes to this bug.